YoutubeAPIのサポート切れに引っかかる

手元のYoutube APIを使ったソフトがエラー出るので調べたら古いAPIが終了してた
一部の古い YouTube アプリのサポート終了について - YouTube ヘルプ

さらに多くの機能を提供するための YouTube Data API のアップグレードに伴い、旧バージョンの API は 2015 年 4 月 20 日以降は廃止されます。これにより、2012 年以前の特定の端末モデルに現在搭載されている現在の YouTube アプリが動作しなくなります。

作った時期考えると、何で新しいAPI使わなかったのかが気になるが、たぶん参考にした(できた)サンプルコードが古かったのだろう。
直さなければいけないのだが、たぶん新しいAPIは面倒くさいのだろう。昔の自分がスルーするくらいに。

今ちょっと調べたら、APIキー登録制らしい。そりゃ昔の私も古いAPI使うわ。どうしよう。